<?php

/*
 * ##################################################
 * #                                                #
 * # rkCSD-WebsiteEngine_2                          #
 * # Programmed for the new web decade i.o.b. rkCSD #
 * #                                                #
 * # Copyright (C) by D. Morabito & R. Knipschild   #
 * #                                                #
 * # staff@newsocialife.com         email@rkcsd.com #
 * # www.newsocialfie.com   www.ihr-edv-fachmann.de #
 * #                                                #
 * ##################################################
 * 
 * File: i18n.php - extensions
 * Version: 1.0.0
 * Last modified: 2013/03/12 12:20 GMT
 * Author: Danny Morabito, René Knipschild
 * 
 * ===Notes==========================================
 * There are currently no notes.
 * ==================================================
 */

class i18n {
	public $languages = array();
	public $defaultlang;
	function __construct($vars) {
		if(isset($vars["Default"]))
			$this->defaultlang = $vars["Default"];
	}
	function add($name) {
		$this->languages[$name] = array();
		$lang = file_get_contents("locales/{$name}.yml");
		$lang = explode("\n", $lang);
		foreach($lang as $v) {
			$v = explode(": ", $v, 2);
			$this->languages[$name][$v[0]] = substr($v[1], 1, -1);
		}
		return $this->languages[$name];
	}
	function get($lang, $word, $args = array()) {
		if(!isset($this->languages[$lang][$word])) {
			if(isset($this->languages[$this->defaultlang][$word]))
				$lang = $this->defaultlang;
			else
				return $word;
		}
		$content = $this->languages[$lang][$word];
		foreach($args as $k => $v)
			$content = str_replace("%{$k}%", $v, $content);
		return $content;
	}
}

?>